<?php
/* This is stuff that goes at the top of a bunch of files.. */
error_reporting(E_ALL ^ E_NOTICE);
// start timing script execution, in case we're debugging
// (don't want to wait until we know, because that will throw off the time)
$mtime = microtime(); 
$mtime = explode(" ",$mtime); 
$mtime = $mtime[1] + $mtime[0]; 
$starttime = $mtime; 

$querycount = 0;
$inadmindir = true;
$version = 'WSN Guest 1.25';

require '../functions.php';
require '../commonfuncs.php';
require '../config.php';
require '../classes/database.php';
require '../classes/settings.php';
require '../classes/entries.php';
require '../classes/template.php';
require '../classes/language.php';
require '../classes/member.php';
require 'adminfunctions.php';
require 'admincommonfuncs.php';

// variables that we'll use globally \\
$db = new database;
$settings = new settingsdata;

if (!$settings->admindir) $admindir = 'admin';
else $admindir = $settings->admindir;

// see if we're in debug mode
$debug = $settings->debug;
if ($settings->debug == 'no') $debug = false;
if ($settings->debug == 'yes') $debug = true;

// Include member integration file here, with a ../ in front of it since it's a level above us
if (strlen($settings->integration) > 2)
{
 $thefile = '../integration/'. $settings->integration .'.php';
 include "$thefile";
}

$thismember = new member('dummy', 'dummy');

$languagegroup = $thismember->language;
if ($languagegroup == '') $languagegroup = $_COOKIE['guest_language'];
if ($languagegroup == '') $languagegroup = $settings->defaultlang;
$language = new language($languagegroup);

// allow date formats to be defined by language
if ($language->date_format != '') $settings->dateformat = $language->date_format;
if ($language->date_commentsformat != '') $settings->commentsdateformat = $language->date_commentsformat;
if ($language->date_locale != '') $settings->locale = $language->date_locale;

$templatesdir = 'templates/default';
$linkfields = $settings->linkfields;
$categoryfields = $settings->categoryfields;


$header = fileread("../$templatesdir/header.tpl"); // get header
$footer = fileread("../$templatesdir/footer.tpl"); // get footer


if (!$templatesdir) echo "<p><font size=6><b>There seems to be a problem with your database. Most likely, you've forgotten to run the <a href=setup.php>setup script</a>.</b></font></p>";

if ($action == 'settemplatesdir')
{ // if directory works, save it in cookie
 if ($header)
 {
  if ($thismember->usergroup > 1) { $thismember->template = $templatesdir; $thismember->update('template'); }
  else setcookie("guesttemplatesdir", "$templatesdir", time() + 8000000);
 }
}

if ($action == 'setlanguage')
{ 
 if ($thismember->usergroup > 1) { $thismember->language = $languagegroup; $thismember->update('language'); }
 else setcookie("guest_language", "$languagegroup", time() + 8000000);
}

$ipbanarray = explode("\n", $settings->bannedips);
$num = sizeof($ipbanarray);
$visitor = $_SERVER['REMOTE_ADDR'];
if ($visitor == '') $visitor = 'unreadable';
for ($i=0; $i<$num; $i++)
{
 $ipbanarray[$i] = trim($ipbanarray[$i]);		
 if ($ipbanarray[$i] != '')
 {
  if (strstr($visitor, $ipbanarray[$i]))
  {
   $template = new template("blank");
   $template->text = $language->banned;
  } 
 }
}

$miscdata = ''; // use this in debugging to store more info if you like?

// make compatable when register_globals is off
while(list($key, $value) = each($_GET)) 
{
 if ($demomode) $$key = stripcode($value);
 else $$key = $value;
} 
while(list($key, $value) = each($_POST)) 
{
 if ($demomode) $$key = stripcode($value);
 else $$key = $value;
 $varslist .= '|||'. $key .'|||';
} 

$header = str_replace("{TEMPLATESDIR}", "../$templatesdir", $header);
$headinsertion = fileread("../$templatesdir/admin/headinsertion.tpl"); // insert code into head area
$headinsertion .= '</head>';
$header = str_replace('</head>', $headinsertion, $header);

$template = false;

if ($action == 'logout')
{
 header("Location: ../index.php?action=logout");  
}

if ($action == 'userlogin')
{
 if ($filled)
 {
  if (!$template) $template = new template("../$templatesdir/redirect.tpl");
  if ($thismember->login())
  {
   // you're logged in
   $template->replace('{MESSAGE}', $language->login_worked);
   $template->replace('{DESTINATION}', 'index.php');
  }
  else
  {
   // wrong username or password
   $template->replace('{MESSAGE}', $language->login_failed);
   $template->replace('{DESTINATION}', 'index.php?action=userlogin');
  }
 }
 else
 {
  $template = new template("../$templatesdir/login.tpl");
 }
}

if ($action == 'userlogout')
{
 $thismember->logout();
 if (!$template) $template = new template("../$templatesdir/redirect.tpl");
 $template->replace ('{MESSAGE}', $language->loggedout);
 $template->replace('{DESTINATION}', $returnto);
}

$area = $language->title_divider . $language->title_admin;

if (($action == 'login') && ($loggedin != 1))
{
 if ($settings->dirurl != '') $path = $settings->dirurl . '/index.php?action=login';
 else $path = str_replace('/admin/', '/', "http://". $_SERVER['HTTP_HOST'] . dirname($_SERVER['PHP_SELF']) ."/index.php?action=login");
 header("Location: $path");  
}

if ($custom == 'yes') // custom templates
{ // access with index.php?custom=yes&TID=name&ext=ext
 if ($ext == '') $ext = 'tpl';
 $thefile = $TID .'.'. $ext;
 $template = new template($thefile);
 // custom templates can use global variables, like the toplists, but any extra variables for custom templates go below this line, in the form $template->replace('{TEMPLATEVAR}', 'replacement');
 /* can use custom template for anything, such as custom category templates just by adding &custom=yes&TID=name to the URL */
}
?>